List the driver app workflows configured for the organization. Use the returned workflow IDs to reference workflows from the driver create/update APIs or from the driver workflow assignment API. Workflows are organization-scoped and unique per organization.
Rate limit: 10 requests/sec (learn more about rate limits here).
To use this endpoint, select Read Drivers under the Drivers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/drivers/workflows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "a4db8702-79d5-4396-a717-e301d52ecc11",
"name": "Pre-trip inspection",
"workflowType": "startOfDay"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512Filter the result to workflows of a specific type. When omitted, workflows of all types are returned. Valid values: startOfDay, endOfDay, assetSelection, leaveAsset, ridershipSafetyCheck, stopArrival
startOfDay, endOfDay, assetSelection, leaveAsset, ridershipSafetyCheck, stopArrival curl --request GET \
--url https://api.samsara.com/fleet/drivers/workflows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "a4db8702-79d5-4396-a717-e301d52ecc11",
"name": "Pre-trip inspection",
"workflowType": "startOfDay"
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}